Search the Community
Showing results for tags 'vertex'.
-
Lisp To Magnetize Polyline Vertex To a Point
DueEastTrav posted a topic in AutoLISP, Visual LISP & DCL
I am looking for a way to readily magnetize polyline vertex to a point. Any idea? Thank you. -
Intersections Between Lines at different Elevations
Jaru posted a topic in AutoLISP, Visual LISP & DCL
Hi There is a situation what I need is a lisp routine or vba script to find the elevations between lines or polylines at the intersection points of them to better reflect my query I post an image. I thank you in advance for the help provided. Elevation-Case.bmp -
I have found the following at the swamp, however I would like to modify it to better suite my needs. All credits to Lyle Hardin for writing the awesome code. ;;; CADALYST 08/08 www.cadalyst.com/code ;;; Tip 2305: LeaderToMleader.lsp Leader to Multileader (c) 2008 Lyle Hardin ;;; Pick an old...
-
Sample.dwg Hi all, I want to write a program which will export the coordinates of vertices for selected polylines with Object Data which corresponds to each polyline. Please refer to a sample drawing attached with this thread. I am happy with this program to export coordinates ; ----...
- 2 replies
-
- polyline
- object data
-
(and 3 more)
Tagged with:
-
I had this from Lee, but usually always go way counter-clockwise and only select the polyline, not the point. ;; Polyline Vertex Exporter ~ by Lee McDonnell ~ 26.11.2009 (defun c:pExp2 (/ ss tmp i j ent tot dis pt) (vl-load-com) (if (and (setq ss (ssget '((0 . "*POLYLINE")))) (setq tmp (getf...
-
Sorting mixed order points on a polyline object
nkeseci posted a topic in AutoLISP, Visual LISP & DCL
Hi, Can anyone help me to write a lisp function to sort the points (assume the intersection points) on a polyline? With my code, I have a polyline object and a set of intersection points on it. I need to calculate the cumulative distance between those points and vertex points consecutively....- 6 replies
-
- polyline
- intersection
-
(and 3 more)
Tagged with:
-
i am new to all of this. would love to be able to remove all or most vertex's for any and all of my artwork. as for now i need to remove them from a circle. i do not know what the codes are for or how to use them. any help, would help.. i hopesecond sign Y.dxf second sign W.dxf
-
In Maya, it's called soft select. In Blender it's called proportional editing mode. I am looking for a tool that will let me move a grip, causing all of the nearby vertices to move in the same direction. The amount of movement depends on how close it is to the selected grip as well as how sharp you...
- 12 replies
-
- soft select
- proportional edit
-
(and 3 more)
Tagged with:
-
Lisp to delete multiple vertices between two points on polyline
Rambojazdude posted a topic in AutoLISP, Visual LISP & DCL
Hi folks. I'm looking for a lisp that effectively straightens out a polyline between two points. I know pedit has the straighten feature but you have to scroll to the points you need straightening between. I've also found that you can break/trim between two points and then rejoin, but ideall... -
Hi! First of all, This is my first post here and I'm not an EXPERT in english, so I will try to explain as good as possible. I'm using Inventor 2012 and AutoCAD Mechanical 2012. In Inventor I have a piece in which it was applied the punching tool (Custom one) it works Perfectly, but whe...
-
Hi everyone, I need help with a problem, i speak a little english so i'll try explain me, I need fillet (round) this edges: I tried with manual Fillet/Constant radius and Variable Radius and the result its not satisfactory because the vertex its not perfect, the vertex have imperfections l...
- 4 replies
-
- solidworks
- radius
-
(and 3 more)
Tagged with:
-
Hey, I have one vertex not smooth on my drawing. How can I change its tangency? It also shows a "+" sign near it, which I don't know what it means. I attached the drawing here for your reference. Thank you so much!!! vertex problem.dwg
-
Multileader problem- adding new leader to vertex
Sbeth85 posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Whenever I try to add another leader to my vertex, it usually jumps to the end of the line. Any way to make ALL leader arrows come out of the same vertex? Do I need to adjust my mleaderstyle settings? PS- I recorded a GIF with LICEcap but the File Upload Manager on Cadtutor uploads it as a...- 1 reply
-
- multileader
- mleaderstyle
-
(and 2 more)
Tagged with:
-
Snapping to vertices on spline
kizaerf posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
I made a spline and there are clear verticies, but autocad just refuses to snap to them. All my osnaps are on and it will snap to some points on the spline but not one where there is a clear vertex. i am stumped. -
When inserting vertex in pline, jump to the new vertex
DieterBvH posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Hi everyone, I guess I messed up some strange option in AutoCAD here. For my job, I often need to add a number of vertices to a 2D Polyline / edit polylines. Until a couple of days ago, when inserting a new vertex to a polyline, it automatically jumped to the new vertex, so I would add a num... -
Exporting in Excel polylines coordinates-vertex and autocad handle
collada999 posted a topic in AutoLISP, Visual LISP & DCL
I'm not a programmer. I'm looking for a function to extract from autocad all the coordinates of polyline vertex with autocad handle. I work with autocad map 2012 and 2013. Help in that regard would be appreciated. -
how to use "specify vertex" option in angular dimensioning?
khoshravan posted a topic in AutoCAD General
From name, "specify vertex" I understand this way that it is not necessary to choose two legs of the angle for angular dimensioning. But I couldn't do the way I think. Could you please tell me what is this option and how can I use this option? TIA -
howdy, I found this code: (defun c:ppav () (vl-load-com) (setq *model-space* (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object)))) (setq obj (vlax-ename->vla-object (car (entsel)))) (setq c (vlax-get obj "Coordinates") i 0) (repeat (/ (length c) 2) (setq x (nth...
-
Measure a polyline and specifically include all vertex in the result
Coyote posted a topic in AutoLISP, Visual LISP & DCL
Hi, I need to transfer some plumbing (or piping) from Autocad to a another program for specialist analysis. This analysis requires that I have the piping as 1m length pieces. I have found lisp code to measure the line and place a marker (block) every 1 metre, and also have a program to extra... -
Hi, i'm still a beginner in lisp and need some help. I want to use some algorithms to simplify a 2D polyline but I don't know how to store the coordinates of each vertex in a different variable. thank you in advance
- 1 reply
-
- polyline
- coordinates
-
(and 1 more)
Tagged with: